# fn() reAlign
Perform realignment using the Anson-Myers realignment.

Defined in | <seqan/consensus.h>
Signature | `void reAlign(fragStore, consensusScore, contigID, [realignmentMethod,] bandwidth, includeReference);`

## Parameters

`fragStore` | The FragmentStore with the alignment to realign.
`consensusScore` | The Score to use for scoring alignments.
`contigID` | The integer id of the contig to realign.
`bandwidth` | The integer bandwidth to use for realignment.
`includeReference` | A `bool` flag that indicates whether to include the reference as a pseudo-read.

## Detailed Description

Deprecated.

Do not use this function but use the new function reAlignment instead.

If `includeReference` then the reference of the given contig will be used as a pseudo-read. In this case, the reference will be replaced by the consensus. When included as a pseudo-read, the alignment of the consensus relative to the original refernence can be used to call variants.

## Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @fn reAlign
     *
     * @headerfile <seqan/consensus.h>
     *
     * @brief Perform realignment using the Anson-Myers realignment.
     *
     * @deprecated Do not use this function but use the new function @link
     *             reAlignment @endlink instead.
     *
     * @signature void reAlign(fragStore, consensusScore, contigID,
     *            [realignmentMethod,] bandwidth, includeReference);
     *
     * @param[in,out] fragStore The @link FragmentStore @endlink with the alignment
     *                          to realign.
     * @param[in] consensusScore The @link Score @endlink to use for scoring
     *                           alignments.
     * @param[in] contigID The integer id of the contig to realign.
     * @param[in] bandwidth The integer bandwidth to use for realignment.
     * @param[in] includeReference A <tt>bool</tt> flag that indicates whether to
     *                             include the reference as a pseudo-read.
     *
     * If <tt>includeReference</tt> then the reference of the given contig will be
     * used as a pseudo-read. In this case, the reference will be replaced by the
     * consensus. When included as a pseudo-read, the alignment of the consensus
     * relative to the original refernence can be used to call variants.
     */